Part Cone: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
 
(4 intermediate revisions by 2 users not shown)
Line 25: Line 25:
The [[Image:Part_Cone.svg|24px]] '''Part Cone''' command creates a parametric cone solid. In the coordinate system defined by its {{PropertyData|Placement}} property, the bottom face of the cone lies on the XY plane with its center at the origin.
The [[Image:Part_Cone.svg|24px]] '''Part Cone''' command creates a parametric cone solid. In the coordinate system defined by its {{PropertyData|Placement}} property, the bottom face of the cone lies on the XY plane with its center at the origin.


<!--T:24-->
The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its {{PropertyData|Radius1}} or {{PropertyData|Radius2}} property to zero. It can be turned into a segment of a cone by changing its {{PropertyData|Angle}} property.
The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its {{PropertyData|Radius1}} or {{PropertyData|Radius2}} property to zero. It can be turned into a segment of a cone by changing its {{PropertyData|Angle}} property.


Line 40: Line 41:
# Optionally change the dimensions and {{PropertyData|Placement}} of the cone by doing one of the following:
# Optionally change the dimensions and {{PropertyData|Placement}} of the cone by doing one of the following:
#* Double-click the object in the [[Tree_view|Tree view]]:
#* Double-click the object in the [[Tree_view|Tree view]]:
#*# The {{MenuCommand|Geometic Primitives}} task panel opens.
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
#*# Change one or more properties.
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# The object is dynamically updated in the [[3D_view|3D view]].
Line 47: Line 48:
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


== Example ==
== Example == <!--T:25-->


<!--T:26-->
[[Image:Part_Cone_Scripting_Example.png|thumb|Part Cone from the scripting example]]
[[Image:Part_Cone_Scripting_Example.png|thumb|Part Cone from the scripting example]]


<!--T:27-->
A Part Cone object created with the [[#Scripting|scripting example]] below is shown here.
A Part Cone object created with the [[#Scripting|scripting example]] below is shown here.


== Notes ==
== Notes == <!--T:28-->


<!--T:29-->
* A Part Cone can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.
* A Part Cone can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.


== Properties == <!--T:10-->
== Properties == <!--T:10-->


<!--T:30-->
See also: [[Property_editor|Property editor]].
See also: [[Property_editor|Property editor]].


<!--T:31-->
A Part Torus object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
A Part Cone object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
=== Data === <!--T:32-->


<!--T:33-->
{{TitleProperty|Attachment}}
{{TitleProperty|Attachment}}


<!--T:34-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].


<!--T:35-->
{{TitleProperty|Cone}}
{{TitleProperty|Cone}}


<!--T:20-->
<!--T:20-->
* {{PropertyData|Radius1|Length}}: The radius of the bottom face of the cone. Can be {{Value|0}} if {{PropertyData|Radius2}} is larger than {{Value|0}}. The default is {{Value|2mm}}.
* {{PropertyData|Radius1|Length}}: The radius of the bottom face of the cone. Can be {{Value|0mm}} if {{PropertyData|Radius2}} is larger than {{Value|0mm}}. The default is {{Value|2mm}}.
* {{PropertyData|Radius2|Length}}: The radius of the top face of the cone. Can be {{Value|0}} if {{PropertyData|Radius1}} is larger than {{Value|0}}. The default is {{Value|4mm}}.
* {{PropertyData|Radius2|Length}}: The radius of the top face of the cone. Can be {{Value|0mm}} if {{PropertyData|Radius1}} is larger than {{Value|0mm}}. The default is {{Value|4mm}}.
* {{PropertyData|Height|Length}}: The height of the cone. The default is {{Value|10mm}}.
* {{PropertyData|Height|Length}}: The height of the cone. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the top and bottom face of the cone. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cone.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the top and bottom face of the cone. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cone.
Line 79: Line 88:
== Scripting == <!--T:21-->
== Scripting == <!--T:21-->


<!--T:36-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


Line 94: Line 104:
* The function returns the newly created object.
* The function returns the newly created object.


<!--T:37-->
Example:
Example:



Latest revision as of 20:27, 3 March 2022

Part Cone

Menu location
Part → Primitives → Cone
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Cone command creates a parametric cone solid. In the coordinate system defined by its DataPlacement property, the bottom face of the cone lies on the XY plane with its center at the origin.

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its DataRadius1 or DataRadius2 property to zero. It can be turned into a segment of a cone by changing its DataAngle property.

Usage

  1. There are several ways to invoke the command:
    • Press the Part Cone button.
    • Select the Part → Primitives → Cone option from the menu.
  2. The cone is created.
  3. Optionally change the dimensions and DataPlacement of the cone by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DataPlacement with the Std TransformManip command.

Example

Part Cone from the scripting example

A Part Cone object created with the scripting example below is shown here.

Notes

  • A Part Cone can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • DataRadius1 (Length): The radius of the bottom face of the cone. Can be 0mm if DataRadius2 is larger than 0mm. The default is 2mm.
  • DataRadius2 (Length): The radius of the top face of the cone. Can be 0mm if DataRadius1 is larger than 0mm. The default is 4mm.
  • DataHeight (Length): The height of the cone. The default is 10mm.
  • DataAngle (Angle): The angle of the circular arc that defines the top and bottom face of the cone. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cone.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cone can be created with the addObject() method of the document:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()